## ros-lunar-rqt-robot-steering 0.5.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rqt_robot_steering)
# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED)
catkin_package()
catkin_python_setup()

install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY resource
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(PROGRAMS scripts/rqt_robot_steering
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-lunar-rqt-robot-steering (0.5.9-0xenial) xenial; urgency=high

  * always send zero twist when stop button is pressed (#2 <https://github.com/ros-visualization/rqt_robot_steering/issues/2>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 Feb 2018 08:00:00 -0000

ros-lunar-rqt-robot-steering (0.5.8-0xenial) xenial; urgency=high

  * handle an empty topic string (#1 <https://github.com/ros-visualization/rqt_robot_steering/issues/1>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 12 Oct 2017 07:00:00 -0000

ros-lunar-rqt-robot-steering (0.5.7-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 25 Apr 2017 07:00:00 -0000

ros-lunar-rqt-robot-steering (0.5.6-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jan 2017 08:00:00 -0000

ros-lunar-rqt-robot-steering (0.5.5-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 02 Nov 2016 07:00:00 -0000

ros-lunar-rqt-robot-steering (0.5.4-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-lunar-rqt-robot-steering (0.5.3-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 May 2016 07:00:00 -0000

ros-lunar-rqt-robot-steering (0.5.2-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 29 Apr 2016 07:00:00 -0000

ros-lunar-rqt-robot-steering (0.5.1-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 28 Apr 2016 07:00:00 -0000

ros-lunar-rqt-robot-steering (0.5.0-0xenial) xenial; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#101 <https://github.com/ros-visualization/rqt_robot_plugins/pull/101>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 27 Apr 2016 07:00:00 -0000

ros-lunar-rqt-robot-steering (0.4.3-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 08 Mar 2016 08:00:00 -0000

ros-lunar-rqt-robot-steering (0.4.2-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Jul 2015 07:00:00 -0000

ros-lunar-rqt-robot-steering (0.4.1-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 30 Apr 2015 07:00:00 -0000

ros-lunar-rqt-robot-steering (0.4.0-0xenial) xenial; urgency=high

  * update script to use full plugin name

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 05 Nov 2014 08:00:00 -0000

ros-lunar-rqt-robot-steering (0.3.7-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 07:00:00 -0000

ros-lunar-rqt-robot-steering (0.3.6-0xenial) xenial; urgency=high

  * fix compatibility with Groovy, use queue_size for Python publishers only when available (#67 <https://github.com/ros-visualization/rqt_robot_plugins/pull/67>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Jul 2014 07:00:00 -0000

ros-lunar-rqt-robot-steering (0.3.5-0xenial) xenial; urgency=high

  * use queue_size for Python publishers

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 02 Jun 2014 07:00:00 -0000

ros-lunar-rqt-robot-steering (0.3.4-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-lunar-rqt-robot-steering (0.3.3-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 28 Jan 2014 08:00:00 -0000

ros-lunar-rqt-robot-steering (0.3.2-0xenial) xenial; urgency=high

  * add groups for rqt plugins (ros-visualization/rqt_common_plugins#167 <https://github.com/ros-visualization/rqt_common_plugins/issues/167>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 Jan 2014 08:00:00 -0000

ros-lunar-rqt-robot-steering (0.3.1-0xenial) xenial; urgency=high

  * send zero-value cmd_vel messages only once (#53 <https://github.com/ros-visualization/rqt_robot_plugins/pull/53>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 09 Oct 2013 07:00:00 -0000

ros-lunar-rqt-robot-steering (0.3.0-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 28 Aug 2013 07:00:00 -0000

ros-lunar-rqt-robot-steering (0.2.16-0xenial) xenial; urgency=high

  * First public release into Hydro

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 09 Jul 2013 07:00:00 -0000

ros-lunar-rqt-robot-steering (0.2.15-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 25 Apr 2013 07:00:00 -0000

ros-lunar-rqt-robot-steering (0.2.14-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 12 Apr 2013 07:00:00 -0000

ros-lunar-rqt-robot-steering (0.2.13-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 09 Apr 2013 07:00:00 -0000

ros-lunar-rqt-robot-steering (0.2.12-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 07 Apr 2013 01:22:00 -0000

ros-lunar-rqt-robot-steering (0.2.11-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 07 Apr 2013 01:00:00 -0000

ros-lunar-rqt-robot-steering (0.2.10-0xenial) xenial; urgency=high

  * Added ability to load default values from ROS parameters. Removed undesired echo @dawonn

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 04 Apr 2013 07:00:00 -0000

ros-lunar-rqt-robot-steering (0.2.9-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 07 Mar 2013 08:00:00 -0000

ros-lunar-rqt-robot-steering (0.2.8-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Jan 2013 08:00:00 -0000

ros-lunar-rqt-robot-steering (0.2.7-0xenial) xenial; urgency=high

  * pimp robot steering plugin

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 23 Dec 2012 23:58:00 -0000

ros-lunar-rqt-robot-steering (0.2.6-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 23 Dec 2012 09:57:00 -0000

ros-lunar-rqt-robot-steering (0.2.5-0xenial) xenial; urgency=high





=== debian/control ===
Source: ros-lunar-rqt-robot-steering
Section: misc
Priority: extra
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin
Homepage: http://wiki.ros.org/rqt_robot_steering
Standards-Version: 3.9.2

Package: ros-lunar-rqt-robot-steering
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-rospkg, ros-lunar-geometry-msgs, ros-lunar-python-qt-binding (>= 0.2.19), ros-lunar-rostopic, ros-lunar-rqt-gui, ros-lunar-rqt-gui-py
Description: rqt_robot_steering provides a GUI plugin for steering a robot using Twist messages.
